typedef struct
{
                float Gravity;
                float Velocity;
                float Angle;
}Projectile;


float Range(Projectile* p)
{
        //vi^2*sin2th/g
        double A,R;
        A = p->Angle * 3.141592654f / 180;
        R = (pow(p->Velocity, 2) * sin(2 * A)) / p->Gravity;
        return (float)R;
}
     
float TimeOfFlight(Projectile* p)
{
        //2*viy/g
        double A,Viy,T;
        A = p->Angle * 3.141592654f / 180;
        Viy = p->Velocity * sin(A);
        T = (2 * Viy) / p->Gravity;
    return (float)T;
}
     
float Height(Projectile* p)
{
        //vi^2*sinth^2/2g
        double A,H;
        A = p->Angle * 3.141592654f / 180;
        H = (pow(p->Velocity, 2) * pow(sin(A), 2)) / (2 * p->Gravity);
        return (float)H;
}
     
Vector3 Trajectory(Projectile* p, float Time)
{
    //x=vix*t
    //y=viy*t-0.5*gt^2
        Vector3 v;
        double A,Vix,Viy,X,Y;
        A = p->Angle * 3.141592654f / 180;
        Vix = p->Velocity * cos(A);
        Viy = p->Velocity * sin(A);
    X = Vix * Time;
        Y = Viy * Time - 0.5 * p->Gravity * pow(Time, 2);
        v.x=(float)X;
        v.y=(float)Y;
        v.z=(float)0;
    return v;
}
     